/*
 * Class CHAIN [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1677 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1677 [] = {0xFF01,1551,1676,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1677 [] = {0xFF01,1676,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1677 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1677 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1677 [] = {0xFF01,1676,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1677 [] = {0xFF01,1676,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1677 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1677 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1677 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1677 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1677 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1677 [] = {1676,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1677 [] = {0xFF01,1676,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1677 [] = {0xFF01,1655,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1677 [] = {0xFF01,1662,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1677 [] = {0xFF01,1676,869,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1677 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1677 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1677 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1677[] = {
	{EIF_GENERIC(NULL), 12048, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1677), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1677), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1677), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1677), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1677), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1677), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1677), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1677), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1677), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1677), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1677), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1677), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1677), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1677), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12051, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1677), 8785, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1677), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1677), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1677), 8778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1677), 11011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1677), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1677), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8776, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9247, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12068, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1677), 12049, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1677), 12050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12066, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12046, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1677), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1677), 12053, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1677), 12054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12061, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1677), 12053, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1677), 12056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12061, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1677), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1677(void)
{
	IDSC(desc_1677, 0, 1676);
	IDSC(desc_1677 + 1, 1, 1676);
	IDSC(desc_1677 + 32, 1134, 1676);
	IDSC(desc_1677 + 41, 1060, 1676);
	IDSC(desc_1677 + 47, 1444, 1676);
	IDSC(desc_1677 + 56, 1135, 1676);
	IDSC(desc_1677 + 65, 1088, 1676);
	IDSC(desc_1677 + 67, 1534, 1676);
	IDSC(desc_1677 + 74, 1245, 1676);
	IDSC(desc_1677 + 77, 387, 1676);
	IDSC(desc_1677 + 79, 636, 1676);
	IDSC(desc_1677 + 93, 916, 1676);
	IDSC(desc_1677 + 99, 1570, 1676);
	IDSC(desc_1677 + 102, 778, 1676);
	IDSC(desc_1677 + 103, 254, 1676);
	IDSC(desc_1677 + 106, 554, 1676);
	IDSC(desc_1677 + 107, 878, 1676);
	IDSC(desc_1677 + 108, 794, 1676);
}


#ifdef __cplusplus
}
#endif
